
!Bitmap class methodsFor: 'reading/writing'!

fromSmartFile: fileName
	^SmartBitmapDLL bitmapFromFile: fileName
!

fromSmartFileDialog
	"Bitmap fromSmartFileDialog"
	| fileName bitmap |
	fileName := FileDialog new
		title: 'Bitmap file...';
		shareAware;
		addFilter: '*.*' description: 'All Files (*.*)';
		addFilter: '*.lum' description: 'Bitmap Files (*.lum)';
		addFilter: '*.bmp' description: 'Bitmap Files (*.bmp)';
		fileSpec: '*.*';
		open;
		file.
	fileName isNil ifTrue: [^nil "cancelled"].
	CursorManager execute changeFor: [
		bitmap := Bitmap fromSmartFile: fileName].
	(bitmap isKindOf: Bitmap) ifTrue: [^bitmap].
	(MessageBox confirm: 'Not a smart bitmap. Try again?')
		ifTrue: [^self fromSmartFileDialog].
	^nil
! !
